Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class SearcherTaxonomyManager.SearcherAndTaxonomy

    java.lang.Object
      org.apache.lucene.facet.search.SearcherTaxonomyManager.SearcherAndTaxonomy

Enclosing class:
  SearcherTaxonomyManager

    public static class SearcherTaxonomyManager.SearcherAndTaxonomy

extends Object

Holds a matched pair of `IndexSearcher` and `TaxonomyReader`

Field Summary
`IndexSearcher` | `searcher`
`DirectoryTaxonomyReader` | `taxonomyReader`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### searcher

    public final IndexSearcher searcher

### taxonomyReader

    public final DirectoryTaxonomyReader taxonomyReader

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.